# Samples of using Stimulsoft Reports.JS components in the HTML / JavaScript applications

In this repository are available examples of using Reports.JS reporting tool on Web pages using pure JavaScript.

# Running samples
To launch these examples, you can use any web-server. Below are some options:

* run the `node index` command in the console and navigate to the `http://localhost:8888/` link in the web browser;
* just copy this folder to any web server, and open the `index.html` page in the web browser;
* in Visual Studio, please open the menu `File` and click to `Open` > `Web Site...` item, select the folder with this repository, right mouse click on the `index.html` > `Set As Start Page`, and run the project. 

**Note:** The [Demo](https://github.com/stimulsoft/Samples-JS-Native-Report-Builder/tree/master/Demo) project written in the HTML/JS, this application demonstrates using Stimulsoft Reports.JS without any server side – it works in the browser from the local disk storage. Many types of reports are available for work.

# Angular, AngularJS, React, Node.js, and Vue.js samples

Examples for these frameworks can be found in the repositories listed below:

[Angular and AngularJS](https://github.com/stimulsoft/Samples-JS-Angular-Report-Generator)

[React, Node.js, Vue.js](https://github.com/stimulsoft/Samples-JS-React-Node.js-Vue.js-Reporting-Tools)


# About Reports.JS product
Stimulsoft Reports.JS offers a wide range of reporting components created in pure JavaScript. The report builder can be easily integrated into any JavaScript app, works in any modern browser – Chrome, Firefox, Safari, Edge, and supports Node.js. The product contains everything you need to create, edit, build, view and export reports of high complexity.

[Live Demo](http://demo.stimulsoft.com/#Js)

[Product Page](https://www.stimulsoft.com/en/products/reports-js)

[Free Download](https://www.stimulsoft.com/en/downloads#reports)

[License](LICENSE.md)